# Method: accounts.authinfo

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#body.AccountsAuthInfoResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#body.aspect)
- [AccountIdentifier](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#AccountIdentifier)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#AccountIdentifier.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#try-it)

Returns information about the authenticated user.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/accounts/authinfo`

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountIdentifiers": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#AccountIdentifier`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `accountIdentifiers[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo#AccountIdentifier`)`` The account identifiers corresponding to the authenticated user. - For an individual account: only the merchant ID is defined - For an aggregator: only the aggregator ID is defined - For a subaccount of an MCA: both the merchant ID and the aggregator ID are defined. <br /> |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accountsAuthInfoResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AccountIdentifier

| JSON representation |
|---|
| ``` { "aggregatorId": string, "merchantId": string } ``` |

| Fields ||
|---|---|
| `aggregatorId` | `string` The aggregator ID, set for aggregators and subaccounts (in that case, it represents the aggregator of the subaccount). |
| `merchantId` | `string` The merchant account ID, set for individual accounts and subaccounts. |